Skip to navigation

Fetch Worker Relations of a given HrisProfile by external id

Retrieves all worker relationships for a given HRIS profile identified by its external identifier, including parent and child relationships.

Token scopes: profile:read

Authentication

AuthorizationBearer

Authentication

The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.

curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \
  -H 'Authorization: Bearer YOUR-TOKEN-HERE'

Learn more about authentication

OR
AuthorizationBearer

Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

Path parameters

profile_idstringRequired
HrisProfile external ID

Response

Successful operation
datalist of objectsOptional
An array containing the Worker Relations of the profile. It includes either the parent or child relations.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error